URL structure
{orgId} is the ID of an organisation.
Supported methods and overview
POST- checks which Cocoon Data user accounts in an organisation (specified byorgId) will be affected by adding or deleting one or more user whitelist rule/s.
Detailed description
This API endpoint checks which Cocoon Data user accounts in an organisation (specified byorgId) will be affected by adding or deleting one or more user whitelist rules.
- Adding user whitelist rules (via the <access-service>/api/v1/organisations/{orgId}/userwhitelist API endpoint) is likely to result in the prevention of Cocoon Data user accounts (including users whose accounts are not yet registered on the Cocoon Data Platform) being shared content within an organisation.
- Deleting user whitelist rules (via the <access-service>/api/v1/organisations/{orgId}/userwhitelist/{whitelistId} endpoint) is likely to result in Cocoon Data user accounts (including users whose accounts are not yet registered on the Cocoon Data Platform) regaining the ability to be shared content within an organisation.
Supported roles and conditions
This API endpoint supports requests utilising Cocoon Data user accounts with the following roles (as described in the Organisation Administrator’s Guide) and conditions:- Organisation administrator - when this user is a member of the organisation specified by
{orgId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required parameters
The following required parameters must be sent in the body of the POST request, each as individual members of a JSON object:-
action - The enumeration (enum) value
addordelete. -
items - An array of information about one or more user whitelist rule/s to be added or existing user whitelist rules to be deleted (based on the action value above).
-
To check for Cocoon Data user accounts that will be prevented from being shared content by adding new user whitelist rules, each element of this array must contain the following members:
- pattern - The domain pattern or email address of the user whitelist rule to be added to the organisation specified by
{orgId}in the request’s URL.
- pattern - The domain pattern or email address of the user whitelist rule to be added to the organisation specified by
-
To check for Cocoon Data user accounts that will be disabled by deleting existing user whitelist rules, each element of this array must contain the following members:
- id - The ID of the existing user whitelist rule in the organisation specified by
{orgId}in the URL. - pattern - The domain pattern or email address of the user whitelist rule to be deleted (represented by id above).
Note: This value can be any valid domain pattern or email address. Irrespective of this value, the value of id above is used to perform the check.
- id - The ID of the existing user whitelist rule in the organisation specified by
Example (request - checking which Cocoon Data user accounts will be affected by removing ‘*.xy-company.com’): -
To check for Cocoon Data user accounts that will be prevented from being shared content by adding new user whitelist rules, each element of this array must contain the following members:
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
items - An array containing information about the Cocoon Data user accounts in the organisation specified by
{orgId}in the request’s URL, which will be affected by adding or deleting user whitelist rule/s specified in the request. (I.e. adding rules prevents users the ability to be shared content in the organisation whereas deleting rules grants users this ability.) Each element of this array contains information about one of these user accounts (represented as an object containing the following members unless otherwise stated). If no user accounts are returned in the response, then this array will be empty. - email - The email address of the Cocoon Data user account.
-
firstName - The first name set by this user, which is
nullif this value has not already been set via aPUTrequest to the <access-service>/api/v1/users/me API endpoint. This is the first name that appears on the Users page of SafeShare Organisation Administration and/or the My Account feature of Cocoon Data SafeShare for Web. -
lastName - The last name set by this user, which is
nullif this value has not already been set via aPUTrequest to the <access-service>/api/v1/users/me endpoint. Like the first name (above), this appears on the User page of Organisation Administration and/or the My Account feature of SafeShare for Web. -
mfaEnabled - A boolean value that indicates whether (
true) or not (false) two-factor authentication has either been set by this user on their own account, or enforced for all members of the organisation (by any Organisation administrator of this organisation). - id - The ID of this Cocoon Data user account.
-
accountType - A member containing the internationalisation (I18N) property key/code * for the account type, including the account type’s value (i.e. hard-coded in the Cocoon Data Platform), as sub-members:
-
i18n - A member containing the I18N code * for the account type as sub-members:
- code - The I18N code for the account type’s value, beginning with
server.useraccounttype.This I18N code could include the substringlocal,ldaporexternal. - arguments - An array containing any arguments/variables that constitute the value of the I18N code above. Since none of the account types’ values contain any variables, this array is always empty.
- code - The I18N code for the account type’s value, beginning with
- value - The value of accountType as it is hard-coded in the Cocoon Data Platform. Your client application can exploit this value (instead of i18n above) if I18N is not required.
Note: For more information about account types, see the description for Account Type in the Organisation Administrator’s Guide. -
i18n - A member containing the I18N code * for the account type as sub-members:
- count - The total number of items returned in the response.
-
offset - This value should always be
0.
Example (response):

